#pragma once

namespace game {

class Scene
{
public:
    virtual void Show() noexcept = 0;
    virtual void Hide() noexcept = 0;

    virtual void Update() noexcept = 0;
    virtual void Render() const noexcept = 0;
};

}
